package com.schisandra.oss.domain.service;

import com.schisandra.oss.domain.bo.SchisandraOssMinioBO;

import java.util.List;


/**
 *  领域service
 *
 * @author landaiqing
 * @since 2024-05-14 19:47:04
 */
public interface SchisandraOssMinioDomainService {

    /**
     * 添加  信息
     */
    Boolean add(SchisandraOssMinioBO schisandraOssMinioBO);

    /**
     * 更新  信息
     */
    Boolean update(SchisandraOssMinioBO schisandraOssMinioBO);

    /**
     * 删除  信息
     */
    Boolean delete(SchisandraOssMinioBO schisandraOssMinioBO);

    SchisandraOssMinioBO getMinioConfig(Long userId);

    List<SchisandraOssMinioBO> getAllMinioInfo();
}
